> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# CogView-3

CogView-3-Flash 是智谱推出的免费图像生成模型，能够根据用户指令生成符合要求且美学评分更高的图像。CogView-3-Flash 主要应用于艺术创作、设计参考、游戏开发、虚拟现实等领域，帮助用户快速实现从文本到图像的转换需求。
它以超快的推理速度和准确的细节还原见长,平均只需数秒即可完成一张图片的生成,让创意转化为视觉作品的过程更加流畅自然。

### 模型参数

* 模型ID：`cogview-3-flash`/`cogview-3-plus`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=bigmodel\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持画图 API 中的以下参数：

  * `image`
  * `strength`
  * `aspect_ratio`
  * `style_preset`
  * `response_format`
  * `output_format`
  * `mask`
  * `background`

  附：[CogView-3 官方 API 文档](https://docs.bigmodel.cn/cn/guide/models/free/cogview-3-flash)
</Note>

CogView-3 可以通过 `size` 字段实现输出图像的尺寸：

推荐枚举值：1024x1024, 768x1344, 864x1152, 1344x768, 1152x864, 1440x720, 720x1440，也可以自定义参数：长宽均需满足512px-2048px之间，需被16整除，并保证最大像素数不超过2^21px。

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "cogview-3-flash",
    "prompt": "一只可爱的小猫咪，坐在阳光明媚的窗台上，背景是蓝天白云.",
    "size": "768x1344",
    "quality": "standard",
    "watermark": false
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "cogview-3-flash",
    "created": 1768283762,
    "task_id": "ef1d17be-1c8a-4f9e-a34d-96bea68cb47f",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/01/13/cf897977728944ff2bf10c929cbc1f81.jpeg"
        }
    ]
}
```
